import { BaseProvider } from '#templates/base/provider';
import { IncidentType } from '#models/IncidentType';

export class IncidentTypeProvider extends BaseProvider<IncidentType> {
	public static instance: IncidentTypeProvider;

	public static getInstance(): IncidentTypeProvider {
		IncidentTypeProvider.instance ??= new IncidentTypeProvider();
		return IncidentTypeProvider.instance;
	}

	public static get model() {
		return IncidentType;
	}

	constructor() {
		super('IncidentType');
	}
}
